﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.OleDb;

namespace myajans.class_ajans
{
   public class ranande
   {
       public int id_ran;
       public string coderanande;
       public string n_ranande;
       public string l_ranande;
       public string t_estekhdam;
       public string codemeli;
       public string mob;
       public string tel_home;
       public Boolean moteahel;
       public string address;
       public string n_car;
       public string sh_plak;
       public string model;
       public string clascar;

       public void insert()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "insert into ranande(coderanande,n_ranande,l_ranande,t_estekhdam,codemeli,mob,tel_home,moteahel,address,n_car,sh_plak,model,clascar) values (@coderanande,@n_ranande,@l_ranande,@t_estekhdam,@codemeli,@mob,@tel_home,@moteahel,@address,@n_car,@sh_plak,@model,@clascar)";
           com.Parameters.AddWithValue("@coderanande", coderanande);
           com.Parameters.AddWithValue("@n_ranande", n_ranande);
           com.Parameters.AddWithValue("@l_ranande", l_ranande);
           com.Parameters.AddWithValue("@t_estekhdam", t_estekhdam);
           com.Parameters.AddWithValue("@codemeli", codemeli);
           com.Parameters.AddWithValue("@mob", mob);
           com.Parameters.AddWithValue("@tel_home", tel_home);
           com.Parameters.AddWithValue("@moteahel", moteahel);
           com.Parameters.AddWithValue("@address", address);
           com.Parameters.AddWithValue("@n_car", n_car);
           com.Parameters.AddWithValue("@sh_plak", sh_plak);
           com.Parameters.AddWithValue("@model", model);
           com.Parameters.AddWithValue("@clascar", clascar);
           database da = new database();
           da.connect();
           da.command(com);
           da.disconnect();

       }
       public void update()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "update ranande set coderanande=@coderanande,n_ranande=@n_ranande,l_ranande=@l_ranande,t_estekhdam=@t_estekhdam,codemeli=@codemeli,mob=@mob,tel_home=@tel_home,moteahel=@moteahel,address=@address where id_ran=@id_ran";
           com.Parameters.AddWithValue("@coderanande", coderanande);
           com.Parameters.AddWithValue("@n_ranande", n_ranande);
           com.Parameters.AddWithValue("@l_ranande", l_ranande);
           com.Parameters.AddWithValue("@t_estekhdam", t_estekhdam);
           com.Parameters.AddWithValue("@codemeli", codemeli);
           com.Parameters.AddWithValue("@mob", mob);
           com.Parameters.AddWithValue("@tel_home", tel_home);
           com.Parameters.AddWithValue("@moteahel", moteahel);
           com.Parameters.AddWithValue("@address", address);
           com.Parameters.AddWithValue("@id_ran", id_ran);
           database da = new database();
           da.connect();
           da.command(com);
           da.disconnect();

       }
       public void updatecar()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "update ranande set n_ranande=@n_ranande,l_ranande=@l_ranande,n_car=@n_car,sh_plak=@sh_plak,model=@model,clascar=@clascar where id_ran=@id_ran";
           
           com.Parameters.AddWithValue("@n_ranande", n_ranande);
           com.Parameters.AddWithValue("@l_ranande", l_ranande);
           com.Parameters.AddWithValue("@n_car", n_car);
           com.Parameters.AddWithValue("@sh_plak", sh_plak);
           com.Parameters.AddWithValue("@model", model);
           com.Parameters.AddWithValue("@clascar", clascar);
           com.Parameters.AddWithValue("@id_ran", id_ran);
           database da = new database();
           da.connect();
           da.command(com);
           da.disconnect();

       }
       public void delete()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "delete from ranande where (id_ran=@id_ran)";

           com.Parameters.AddWithValue("@id_ran", id_ran);
           //com.Parameters.AddWithValue("@l_ranande", l_ranande);
           //com.Parameters.AddWithValue("@t_estekhdam", t_estekhdam);
           //com.Parameters.AddWithValue("@codemeli", codemeli);
           //com.Parameters.AddWithValue("@mob", mob);
           //com.Parameters.AddWithValue("@tel_home", tel_home);
           //com.Parameters.AddWithValue("@moteahel", moteahel);
           //com.Parameters.AddWithValue("@address", address);
           database da = new database();
           da.connect();
           da.command(com);
           da.disconnect();
       }
       public DataTable show()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "select id_ran,coderanande,n_ranande,l_ranande,t_estekhdam,codemeli,mob,tel_home,moteahel,address from ranande";
           
           database da = new database();
           da.connect();
           DataTable dt = da.docommand(com);
           da.disconnect();
           return dt;


       }
       public DataTable showcar()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "select id_ran,n_ranande,l_ranande,n_car,sh_plak,clascar,model from ranande";

           database da = new database();
           da.connect();
           DataTable dt = da.docommand(com);
           da.disconnect();
           return dt;


       }
       public DataTable searchbynamevafamili()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "select id_ran,coderanande,n_ranande,l_ranande,t_estekhdam,codemeli,mob,tel_home,moteahel,address from ranande where n_ranande like @n_ranande and l_ranande like @l_ranande ";
           com.Parameters.AddWithValue("@n_ranande", "%" + n_ranande + "%");
           com.Parameters.AddWithValue("@l_ranande", "%" + l_ranande + "%");
           database da = new database();
           da.connect();
           DataTable dt = da.docommand(com);
           da.disconnect();
           return dt;


       }
       public DataTable searchbytel_home()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "select id_ran,coderanande,n_ranande,l_ranande,t_estekhdam,codemeli,mob,tel_home,moteahel,address from ranande where tel_home like @tel_home";
           com.Parameters.AddWithValue("@tel_hpme", "%" + tel_home + "%");
           database da = new database();
           da.connect();
           DataTable dt = da.docommand(com);
           da.disconnect();
           return dt;


       }
       public DataTable searchbymob()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "select id_ran,coderanande,n_ranande,l_ranande,t_estekhdam,codemeli,mob,tel_home,moteahel,address from ranande where mob like @mob";
           com.Parameters.AddWithValue("@mob", "%" + mob + "%");
           database da = new database();
           da.connect();
           DataTable dt = da.docommand(com);
           da.disconnect();
           return dt;


       }
       public DataTable searchbycode()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "select id_ran,coderanande,n_ranande,l_ranande,t_estekhdam,codemeli,mob,tel_home,moteahel,address from ranande where coderanande like @coderanande";
           com.Parameters.AddWithValue("@coderanande", "%" + coderanande + "%");
           database da = new database();
           da.connect();
           DataTable dt = da.docommand(com);
           da.disconnect();
           return dt;


       }
       public DataTable searchbymodel()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "select  id_ran,n_ranande,l_ranande,n_car,sh_plak,clascar,model  from ranande where model like @model";
           com.Parameters.AddWithValue("@model", "%" + model + "%");
           database da = new database();
           da.connect();
           DataTable dt = da.docommand(com);
           da.disconnect();
           return dt;


       }
       public DataTable searchbysh_plak()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "select  id_ran,n_ranande,l_ranande,n_car,sh_plak,clascar,model  from ranande where sh_plak like @sh_plak";
           com.Parameters.AddWithValue("@sh_plak", "%" + sh_plak + "%");
           database da = new database();
           da.connect();
           DataTable dt = da.docommand(com);
           da.disconnect();
           return dt;


       }
       public Boolean Exist()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "select id_ran,coderanande,n_ranande,l_ranande,t_estekhdam,codemeli,mob,tel_home,moteahel,address from ranande where codemeli=@codemeli";
           com.Parameters.AddWithValue("@codemeli", codemeli);
           database da = new database();
           da.connect();
           DataTable dt = da.docommand(com);
           da.disconnect();

           if (dt.Rows.Count > 0) return true;
           return false;

       }

       public string countran()
       {
           OleDbCommand com = new OleDbCommand();
           com.CommandText = "select count(id_ran) from ranande";
           database da = new database();
           da.connect();
           DataTable dt = da.docommand(com);
           da.disconnect();
           return dt.Rows[0][0].ToString();
       }
    }
}
