﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DevComponents.DotNetBar;
using myajans.class_ajans;

namespace myajans.forms
{
    public partial class frm_car : frm_temp
    {
        public frm_car()
        {
            InitializeComponent();
        }

        private void frm_car_Load(object sender, EventArgs e)
        {
            ranande r1 = new ranande();
            dg_car.DataSource = r1.showcar();
        }

      

        private void btn_edit_Click(object sender, EventArgs e)
        {
            if (!frm_login.AdminUser)
            {
                MessageBox.Show("دسترسی شما برای ویرایش راننده وجود ندارد ");
                return;
            }
            frm_darj_ranande fd = new frm_darj_ranande();
            fd.id_ran = Convert.ToInt16(dg_car["id_ran", dg_car.CurrentRow.Index].Value);
            fd.txt_nranande.Text = dg_car["n_ranande", dg_car.CurrentRow.Index].Value.ToString();
            fd.txt_lranande.Text = dg_car["l_ranande", dg_car.CurrentRow.Index].Value.ToString();
            fd.txt_ncar.Text = dg_car["n_car", dg_car.CurrentRow.Index].Value.ToString();
            fd.txt_modelcar.Text = dg_car["model", dg_car.CurrentRow.Index].Value.ToString();
            fd.txt_shplak.Text = dg_car["sh_plak", dg_car.CurrentRow.Index].Value.ToString();
            fd.cmb_clascar.Text = dg_car["clascar", dg_car.CurrentRow.Index].Value.ToString();
            fd.Editmode1 = true;

            fd.ShowDialog();
            frm_car_Load(null, null);
        }

        private void btn_darj_Click(object sender, EventArgs e)
        {

            DialogResult dr = MessageBox.Show("برای وارد کردن ماشین باید از قسمت راننده وارد شوید ", "پیام", MessageBoxButtons.YesNo, MessageBoxIcon.Information);
            if(dr==DialogResult.Yes)
            {
                frm_ranande fr = new frm_ranande();
                fr.Show();
                frm_darj_ranande fd = new frm_darj_ranande();
            fd.Show();
            this.Hide();
            }

            
        }

        private void btn_delete_Click(object sender, EventArgs e)
        {
            if (!frm_login.AdminUser)
            {
                MessageBox.Show("دسترسی شما برای ویرایش راننده وجود ندارد ");
                return;
            }
            DialogResult dr = MessageBox.Show("آیا می خواهید حذف شود", "حذف", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (dr == DialogResult.Yes)
            {
                ranande r = new ranande();
                r.id_ran = Convert.ToInt16(dg_car["id_ran", dg_car.CurrentRow.Index].Value);

                r.delete();
                frm_car_Load(null, null);
            }
        }

        private void t2_TextChanged(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.n_ranande = t2.Text;
            r.l_ranande = t3.Text;
            dg_car.DataSource = r.searchbynamevafamili();
        }

        private void t4_TextChanged(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.model = t4.Text;
            dg_car.DataSource = r.searchbymodel();
        }

        private void t5_TextChanged(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.sh_plak = t5.Text;
            dg_car.DataSource = r.searchbysh_plak();
        }

        private void t1_TextChanged(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.n_ranande = t2.Text;
            r.l_ranande = t3.Text;
            dg_car.DataSource = r.searchbynamevafamili();
        }

        private void txtProNet1_TextChanged(object sender, EventArgs e)
        {

            ranande r = new ranande();
            r.model = t4.Text;
            dg_car.DataSource = r.searchbymodel();
        }

        private void txtProNet3_TextChanged(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.sh_plak = t5.Text;
            dg_car.DataSource = r.searchbysh_plak();
        }

        private void buttonX5_Click(object sender, EventArgs e)
        {
            frm_action fa = new frm_action();
            fa.Show();
            this.Hide();
        }

        private void buttonX1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("شما در صفحه ماشین هستید");
        }

        private void buttonX2_Click(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.show();
            this.Hide();
        }

        private void buttonX3_Click(object sender, EventArgs e)
        {
            frm_eshterak fe = new frm_eshterak();
            fe.Show();
            this.Hide();
        }

        private void buttonX4_Click(object sender, EventArgs e)
        {
            frm_servis fs = new frm_servis();
            fs.Show();
            this.Hide();
        }

        private void buttonX6_Click(object sender, EventArgs e)
        {
            stiReport1.Show();
        }

       
    }
}
