﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DevComponents.DotNetBar;
using myajans.class_ajans;


namespace myajans.forms
{
    public partial class frm_eshterak : frm_temp
    {
        public frm_eshterak()
        {
            InitializeComponent();
        }

        private void btn_darj_Click(object sender, EventArgs e)
        {
            frm_darj_eshterak fde = new frm_darj_eshterak();
            fde.ShowDialog() ;
            frm_eshterak_Load(null, null);
        }

        private void frm_eshterak_Load(object sender, EventArgs e)
        {
            eshterak es = new eshterak();
            dg_eshterak.DataSource = es.show();
        }

        private void btn_edit_Click(object sender, EventArgs e)
        {
            if (!frm_login.AdminUser)
            {
                MessageBox.Show("دسترسی شما برای ویرایش راننده وجود ندارد ");
                return;
            }
            frm_darj_eshterak fm = new frm_darj_eshterak();
            fm.id_esh = Convert.ToInt16(dg_eshterak["id_esh", dg_eshterak.CurrentRow.Index].Value.ToString());
            fm.txt_codeeshterak.Text = dg_eshterak["code_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fm.txt_n_eshterak.Text = dg_eshterak["n_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fm.txt_l_eshterak.Text = dg_eshterak["l_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fm.txt_codemeli_eshterak.Text = dg_eshterak["codem_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fm.txt_teshterak.Text = dg_eshterak["ts_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fm.txt_mobeshterak.Text = dg_eshterak["mob_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fm.txt_teleshterak.Text = dg_eshterak["tel_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fm.txt_shpeshterak.Text = dg_eshterak["shp_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();

            fm.txt_codeposti_eshterak.Text = dg_eshterak["posti_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fm.txt_addeshterak.Text = dg_eshterak["address_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fm.Editmode = true;

            fm.ShowDialog();
            frm_eshterak_Load(null, null);
        }

        private void btn_delete_Click(object sender, EventArgs e)
        {
            if (!frm_login.AdminUser)
            {
                MessageBox.Show("دسترسی شما برای ویرایش راننده وجود ندارد ");
                return;
            }
            DialogResult dr = MessageBox.Show("آیا می خواهید حذف شود", "حذف", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (dr == DialogResult.Yes)
            {
                eshterak es = new eshterak();
                es.id_esh = Convert.ToInt16(dg_eshterak["id_esh", dg_eshterak.CurrentRow.Index].Value.ToString());
                es.delete();
                frm_eshterak_Load(null, null);

            }
        }

      

        private void t1_TextChanged(object sender, EventArgs e)
        {
            eshterak es = new eshterak();
            es.code_eshterak = t1.Text;
            dg_eshterak.DataSource = es.searchbycode_esh();
        }

        private void t2_TextChanged(object sender, EventArgs e)
        {
            eshterak es = new eshterak();
            es.n_eshterak = t2.Text;
            es.l_eshterak = t3.Text;
            dg_eshterak.DataSource = es.searchbynamevafamili();
        }

        private void t4_TextChanged(object sender, EventArgs e)
        {
            eshterak es = new eshterak();
            es.tel_eshterak = t4.Text;
            dg_eshterak.DataSource = es.searchbytel();
        }

        private void t5_TextChanged(object sender, EventArgs e)
        {
            eshterak es = new eshterak();
            es.shp_eshterak = t5.Text;
            dg_eshterak.DataSource = es.searchby_shomarepelak();

        }

        private void btn_ersal_frm_servis_Click(object sender, EventArgs e)
        {
            frm_darj_servis fms = new frm_darj_servis();
            fms.ser = true;
            fms.t_c_esh.Text = dg_eshterak["code_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fms.t_n_serv.Text = dg_eshterak["n_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fms.t_ln_serv.Text = dg_eshterak["l_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fms.t_pmanzel_esh.Text = dg_eshterak["shp_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fms.t_cposti_serv.Text = dg_eshterak["posti_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fms.t_maghsad.Text = dg_eshterak["address_eshterak", dg_eshterak.CurrentRow.Index].Value.ToString();
            fms.Show();
            this.Close();
        }

        private void txtProNet5_TextChanged(object sender, EventArgs e)
        {
            eshterak es = new eshterak();
            es.code_eshterak = t1.Text;
            dg_eshterak.DataSource = es.searchbycode_esh();
        }

        private void txtProNet4_TextChanged(object sender, EventArgs e)
        {
            eshterak es = new eshterak();
            es.n_eshterak = t2.Text;
            es.l_eshterak = t3.Text;
            dg_eshterak.DataSource = es.searchbynamevafamili();
        }

        private void txtProNet3_TextChanged(object sender, EventArgs e)
        {
            eshterak es = new eshterak();
            es.tel_eshterak = t4.Text;
            dg_eshterak.DataSource = es.searchbytel();
        }

        private void t5_TextChanged_1(object sender, EventArgs e)
        {
            eshterak es = new eshterak();
            es.shp_eshterak = t5.Text;
            dg_eshterak.DataSource = es.searchby_shomarepelak();
        }

        private void buttonX5_Click(object sender, EventArgs e)
        {

            frm_action fa = new frm_action();
            fa.Show();
            this.Hide();
        }

        private void buttonX2_Click(object sender, EventArgs e)
        {
             ranande r = new ranande();
            r.show();
            this.Hide();
        }

        private void buttonX1_Click(object sender, EventArgs e)
        {
            frm_car fc = new frm_car();
            fc.Show();
            this.Hide();
        }

        private void buttonX3_Click(object sender, EventArgs e)
        {
            MessageBox.Show("شما در صفحه اشتراک هستید");
        }

        private void buttonX4_Click(object sender, EventArgs e)
        {
            frm_servis fs = new frm_servis();
            fs.Show();
            this.Hide();
        }

        private void buttonX6_Click(object sender, EventArgs e)
        {
            stiReport1.Show();
        }

       


     

       

       
    }
}
