﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DevComponents.DotNetBar;
using myajans.forms;
using myajans.class_ajans;

namespace myajans.forms
{
    public partial class frm_ranande : frm_temp
    {
        public frm_ranande()
        {
            InitializeComponent();
        }

       

        private void btn_darj_Click(object sender, EventArgs e)
        {
            frm_darj_ranande fdr = new frm_darj_ranande();
            fdr.ShowDialog();
            frm_ranande_Load(null, null);
        }

        private void frm_ranande_Load(object sender, EventArgs e)
        {
            ranande r = new ranande();
            dg_ranande.DataSource = r.show();
        }

        private void btn_edit_Click(object sender, EventArgs e)
        {
            if (!frm_login.AdminUser)
            {
                MessageBox.Show("دسترسی شما برای ویرایش راننده وجود ندارد ");
                return;
            }
            frm_darj_ranande fd = new frm_darj_ranande();
            fd.id_ran = Convert.ToInt16(dg_ranande["id_ran", dg_ranande.CurrentRow.Index].Value);
            fd.txt_coderanande.Text = dg_ranande["coderanande", dg_ranande.CurrentRow.Index].Value.ToString();
            fd.txt_nranande.Text = dg_ranande["n_ranande", dg_ranande.CurrentRow.Index].Value.ToString();
            fd.txt_lranande.Text = dg_ranande["l_ranande", dg_ranande.CurrentRow.Index].Value.ToString();
            fd.txt_mob.Text = dg_ranande["mob", dg_ranande.CurrentRow.Index].Value.ToString();
            fd.txt_telhome.Text = dg_ranande["tel_home", dg_ranande.CurrentRow.Index].Value.ToString();
            fd.txt_testekhdam.Text = dg_ranande["t_estekhdam", dg_ranande.CurrentRow.Index].Value.ToString();
            fd.txt_codemeli.Text = dg_ranande["codemeli", dg_ranande.CurrentRow.Index].Value.ToString();
            fd.txt_add.Text = dg_ranande["address", dg_ranande.CurrentRow.Index].Value.ToString();
            fd.Editmode = true;

            fd.ShowDialog();
            frm_ranande_Load(null, null);
        }

        private void btn_delete_Click(object sender, EventArgs e)
        {
            if (!frm_login.AdminUser)
            {
                MessageBox.Show("دسترسی شما برای حذف راننده وجود ندارد ");
                return;
            }
            DialogResult dr = MessageBox.Show("آیا می خواهید حذف شود", "حذف", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (dr == DialogResult.Yes)
            {
                ranande r = new ranande();
                r.id_ran = Convert.ToInt16(dg_ranande["id_ran", dg_ranande.CurrentRow.Index].Value);

                r.delete();
                frm_ranande_Load(null, null);
            }
        }

        private void btn_home_Click(object sender, EventArgs e)
        {
            frm_action fa = new frm_action();
            fa.Show();
            this.Hide();
        }

        private void txtProNet1_TextChanged(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.coderanande = t1.Text;
            dg_ranande.DataSource = r.searchbycode();

        }

        private void t2_TextChanged(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.n_ranande = t2.Text;
            r.l_ranande = t3.Text;
            dg_ranande.DataSource = r.searchbynamevafamili();

        }

        private void t4_TextChanged(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.mob=t4.Text;
            dg_ranande.DataSource = r.searchbymob();
        }

        private void t5_TextChanged(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.tel_home = t5.Text;
            dg_ranande.DataSource = r.searchbytel_home();
        }

        private void btn_home_Click_1(object sender, EventArgs e)
        {
            frm_action fa = new frm_action();
            fa.Show();
            this.Hide();
        }

        private void buttonX2_Click(object sender, EventArgs e)
        {
            MessageBox.Show("شما در صفحه راننده هستید");
        }

        private void buttonX1_Click(object sender, EventArgs e)
        {
            frm_car fc = new frm_car();
            fc.Show();
            this.Hide();
        }

        private void buttonX3_Click(object sender, EventArgs e)
        {
            frm_eshterak fe = new frm_eshterak();
            fe.Show();
            this.Hide();
        }

        private void buttonX4_Click(object sender, EventArgs e)
        {
            frm_servis fs = new frm_servis();
            fs.Show();
            this.Hide();
        }

        private void t1_TextChanged(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.coderanande = t1.Text;
            dg_ranande.DataSource = r.searchbycode();

        }

        private void t2_TextChanged_1(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.n_ranande = t2.Text;
            r.l_ranande = t3.Text;
            dg_ranande.DataSource = r.searchbynamevafamili();

        }

        private void t4_TextChanged_1(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.mob = t4.Text;
            dg_ranande.DataSource = r.searchbymob();
        }

        private void t5_TextChanged_1(object sender, EventArgs e)
        {
            ranande r = new ranande();
            r.tel_home = t5.Text;
            dg_ranande.DataSource = r.searchbytel_home();
        }

      
    }
}
